> For the complete documentation index, see [llms.txt](https://docs.cipp.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cipp.app/api-documentation/endpoints.md).

# Endpoints

To view this page in a new window, right click the button below:

<a href="https://cipp-ashe.github.io/cipp-oas-generator/" class="button primary">Endpoint Documentation (Right Click for New Tab)</a>

{% hint style="info" %}
Everything CIPP does in the frontend is represented by an API endpoint. For further clarification on how CIPP handles processes, it's best to open up DevTools in your browser and inspect the Network tab for which calls are being made. From there, you can reference the call itself or the documentation below.
{% endhint %}

{% @cipp-external-webpage-block/cyberdrain url="<https://cipp-ashe.github.io/cipp-oas-generator/>" fullWidth="true" %}

***

## Feature Requests / Ideas

We value your feedback and ideas. Please raise any [feature requests](https://github.com/KelvinTegelaar/CIPP/issues/new?template=feature.yml) on GitHub.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cipp.app/api-documentation/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
